Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class DiscoveryURLs

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.DiscoveryURLs

public class DiscoveryURLs
extends java.lang.Object

The discoveryURLs structure is a simple collection of discoveryURL structures.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`DiscoveryURLs()` Class constructor.

Method Summary
`void` | `addDiscoveryURL(DiscoveryURL discoveryURL)` Adds a new discovery URL to the set of discovery URLs.
`java.util.Vector` | `getDiscoveryURLVector()` Gets the set of discovery URLs.
`void` | `setDiscoveryURLVector(java.util.Vector v)` Sets the set of discovery URLs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscoveryURLs

    public DiscoveryURLs()

  Class constructor.

Method Detail

### getDiscoveryURLVector

    public java.util.Vector getDiscoveryURLVector()

  Gets the set of discovery URLs.

  Returns:
    the current set of discovery URLs.

### setDiscoveryURLVector

    public void setDiscoveryURLVector(java.util.Vector v)

  Sets the set of discovery URLs.

  Parameters:
    `v` - the new set of discovery URLs.

### addDiscoveryURL

    public void addDiscoveryURL(DiscoveryURL discoveryURL)

  Adds a new discovery URL to the set of discovery URLs.

  Parameters:
    `discoveryURL` - the new discovery URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference